summaryrefslogtreecommitdiffstats
path: root/.config/zsh/oh-my-zsh/plugins/npx/npx.plugin.zsh
diff options
context:
space:
mode:
Diffstat (limited to '.config/zsh/oh-my-zsh/plugins/npx/npx.plugin.zsh')
-rw-r--r--.config/zsh/oh-my-zsh/plugins/npx/npx.plugin.zsh12
1 files changed, 12 insertions, 0 deletions
diff --git a/.config/zsh/oh-my-zsh/plugins/npx/npx.plugin.zsh b/.config/zsh/oh-my-zsh/plugins/npx/npx.plugin.zsh
new file mode 100644
index 0000000..c1e2eca
--- /dev/null
+++ b/.config/zsh/oh-my-zsh/plugins/npx/npx.plugin.zsh
@@ -0,0 +1,12 @@
+if (( ! $+commands[npx] )); then
+ return
+fi
+
+if ! npx_fallback_script="$(npx --shell-auto-fallback zsh 2>/dev/null)"; then
+ print -u2 ${(%):-"%F{yellow}This \`npx\` version ($(npx --version)) is not supported.%f"}
+else
+ source <(<<< "$npx_fallback_script")
+fi
+
+print -u2 ${(%):-"%F{yellow}The \`npx\` plugin is deprecated and will be removed soon. %BPlease disable it%b.%f"}
+unset npx_fallback_script